Rakto apžvalga
| Rakto versija | V3 |
|---|---|
| Specifikacija | RFC 1991 · RFC 2440 · RFC 4880 |
| Būsena | Pasenusi – legacy, saugoma tik istoriniam suderinamumui |
| Pirminis raktas (sertifikavimas, pasirašymas) | RSA 1024 · ID 1 |
| Šifravimo dalinis raktas | Nėra: versijos 2 ir 3 raktai neturi dalinių raktų; pirminis RSA raktas taip pat šifruoja (C/S/E nustatoma pagal algoritmą) |
| Kontrolinis atspaudas | 8C82CFA8E8957EA451848A6948E37C72 |
| Privačiojo rakto slaptafrazė | synthetic-key-password |
Algoritmai ir paskirtis
RSA 1024: RSA su moduliu, kurio ilgis 1024 bitai, šiandien laikomas nulaužiamu. Paliktas tik istoriniam suderinamumui; GnuPG jį priima, tačiau Sequoia ir rPGP pagrindu veikiantys įrankiai atmeta trumpesnius nei 2048 bitų raktus, taip pat elgiasi ir keys2 raktų serveris.
Viešasis raktas
Viešasis raktas su naudotojo ID ir savuoju parašu. Versijos 2 ir 3 raktai neturi dalinių raktų: tas pats RSA raktas tikrina parašus ir naudojamas šiai bandymo tapatybei skirtiems duomenims šifruoti.
Atsisiųsti → 522 baitai
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Privatusis raktas
Privatusis raktas, apsaugotas pirmiau pateikta slaptafraze. Paskelbtas tik bandymams: jį gali naudoti bet kas.
Atsisiųsti → 983 baitai
Rodyti
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Atšaukimo sertifikatas
Iš anksto sugeneruotas rakto kompromitavimo sertifikatas, parašo klasė 0x20, apibrėžta RFC 1991 („This is my key, and I have revoked it“) ir realizuota PGP 2.6. Jį importavus raktas pažymimas kaip atšauktas.
Atsisiųsti → 725 baitai
Rodyti
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Failo test_1MB.bin parašas
Atskirasis failo test_1MB.bin parašas ASCII-armor formatu, sukurtas šiuo raktu naudojant CH-J Tools. Įrašykite jį pavadinimu test_1MB.bin.asc šalia bandymo failo.
Atsisiųsti → 273 baitai
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Tikrinti parašą
Versijos 3 ir 2 raktams reikia GnuPG 1.4 (gpg1) su aiškiu leidimu naudoti MD5, istorinės PGP programinės įrangos arba CH-J Tools. Naudokite laikiną GNUPGHOME, kad bandymo raktas nepatektų į tikrąją raktinę:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin